import request from '@/utils/request'

// 轮播图位置信息
export function bannerLocal(data) {
	return request({
		url: '/admin/v1/sys/banner/local',
		method: 'post',
		data,
	})
}
// 轮播图信息
export function bannerList(data) {
	return request({
		url: '/admin/v1/sys/banner',
		method: 'post',
		data,
	})
}
// 轮播图添加
export function bannerAdd(data) {
	return request({
		url: '/admin/v1/sys/banner/add',
		method: 'post',
		data,
	})
}
// 轮播图修改
export function bannerEdit(data) {
	return request({
		url: '/admin/v1/sys/banner/edit',
		method: 'post',
		data,
	})
}
// 轮播图删除
export function bannerDelete(data) {
	return request({
		url: '/admin/v1/sys/banner/delete',
		method: 'post',
		data,
	})
}

// 协议信息
export function agreementList(data) {
	return request({
		url: '/admin/v1/sys/agreement',
		method: 'post',
		data,
	})
}
// 协议添加
export function agreementAdd(data) {
	return request({
		url: '/admin/v1/sys/agreement/add',
		method: 'post',
		data,
	})
}
// 协议详情
export function agreementDetail(data) {
	return request({
		url: '/admin/v1/sys/agreement/detail',
		method: 'post',
		data,
	})
}
// 协议修改
export function agreementEdit(data) {
	return request({
		url: '/admin/v1/sys/agreement/edit',
		method: 'post',
		data,
	})
}
// 协议删除
export function agreementDelete(data) {
	return request({
		url: '/admin/v1/sys/agreement/delete',
		method: 'post',
		data,
	})
}

// 尾部导航栏信息
export function navigationList(data) {
	return request({
		url: '/admin/v1/sys/navigation',
		method: 'post',
		data,
	})
}
// 尾部导航栏添加
export function navigationAdd(data) {
	return request({
		url: '/admin/v1/sys/navigation/add',
		method: 'post',
		data,
	})
}
// 尾部导航栏修改
export function navigationEdit(data) {
	return request({
		url: '/admin/v1/sys/navigation/edit',
		method: 'post',
		data,
	})
}
// 尾部导航栏删除
export function navigationDelete(data) {
	return request({
		url: '/admin/v1/sys/navigation/delete',
		method: 'post',
		data,
	})
}
